﻿using FluentValidation;
using Hotline.Share.Dtos.Snapshot;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Contracts.Validators.Snapshot;
public class IndustryValidator : AbstractValidator<AddIndustryDto>
{
    public IndustryValidator()
    {
        RuleFor(m => m.Name).NotEmpty().WithMessage("行业名称不能为空");
        RuleFor(m => m.CitizenReadPackAmount).NotEqual(0).WithMessage("市民红包不能为空");
        RuleFor(m => m.GuiderReadPackAmount).NotEqual(0).WithMessage("网格员红包不能为空");
    }
}
