﻿namespace Hotline.Share.Dtos.Snapshot;
public class IndustryFileDto
{
    /// <summary>
    /// Id
    /// </summary>
    public string Id { get; set; }

    /// <summary>
    /// 文件名称(没有后缀)
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 文件名称(有后缀)
    /// </summary>
    public string FileName { get; set; }

    /// <summary>
    /// 附件路径
    /// </summary>
    public string Path { get; set; }

    /// <summary>
    /// 业务数据Id
    /// </summary>
    public string Key { get; set; }

    /// <summary>
    /// 附件系统中附件的Id
    /// </summary>
    public string AdditionId { get; set; }

    /// <summary>
    /// Url
    /// </summary>
    public string Url { get; set; }
}

/// <summary>
/// 随手拍上报接口附件入参
/// </summary>
public class SnapshotFileInDto
{
    /// <summary>
    /// 文件名称(有后缀)
    /// </summary>
    public string FileName { get; set; }

    /// <summary>
    /// 附件路径
    /// </summary>
    public string Path { get; set; }

    /// <summary>
    /// 上传接口返回数据中的Id字段
    /// 附件系统中附件的Id
    /// </summary>
    public string AdditionId { get; set; }
}

